package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.MeterBoundaryRel;
import com.ruoyi.ems.mapper.MeterBoundaryRelMapper;
import com.ruoyi.ems.service.IMeterBoundaryRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * 计量设备绑定边界对象关系Service业务层处理
 *
 * @author ruoyi
 * @date 2024-12-09
 */
@Service
public class MeterBoundaryRelServiceImpl implements IMeterBoundaryRelService {
    @Autowired
    private MeterBoundaryRelMapper relMapper;

    @Override
    public List<String> selectMeterDevices(String boundaryObj, Integer objType, Integer meterCls) {
        return relMapper.selectMeterDevices(boundaryObj, objType, meterCls);
    }

    @Override
    public List<MeterBoundaryRel> selectRelByObj(String boundaryObj, Integer objType, Integer meterCls) {
        return relMapper.selectByObj(boundaryObj, objType, meterCls);
    }

    @Override
    public int deleteRelByObj(Integer objType, String boundaryObj, Integer meterCls) {
        return relMapper.deleteByObj(objType, boundaryObj, meterCls);
    }

    @Override
    public int insertRelBatch(List<MeterBoundaryRel> list) {
        return relMapper.insertBatch(list);
    }
}
